<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.ElevatorAlarmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="elevatorAlarmResultMap" type="org.springblade.device.entity.ElevatorAlarm">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="alarm_code" property="alarmCode"/>
        <result column="register_code" property="registerCode"/>
        <result column="alarm_type" property="alarmType"/>
        <result column="alarm_status" property="alarmStatus"/>
        <result column="alarm_time" property="alarmTime"/>
        <result column="alarm_end_time" property="alarmEndTime"/>
        <result column="standard_type" property="standardType"/>
        <result column="yt_status" property="ytStatus"/>
        <result column="org_position" property="orgPosition"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
    </resultMap>


    <select id="selectElevatorAlarmPage" resultMap="elevatorAlarmResultMap">
        select * from smart_elevator_alarm where is_deleted = 0
    </select>

</mapper>
